Vai al contenuto

Hotel

Read the next page of a running search. Pass the same dates and room count as the search so rate keys stay bookable.

get/v1/hotels/search/{searchId}

  • Richiede autenticazione

Parametri

NomePosizioneTipoDescrizione
searchId*percorsostring
cursorquery stringinteger (int32)
checkInquery stringstring
checkOutquery stringstring
roomsquery stringinteger (int32)

Risposte

200OKHotelSearchResponse

  • searchIdstring
  • statusstring
  • cursorinteger (int32)
  • suppliersDoneinteger (int32)
  • supplierCountinteger (int32)
  • totalinteger (int32)
  • pageinteger (int32)
  • pageCountinteger (int32)
  • partialboolean
  • starFacetsobjectpuò essere null
  • HotelResult[]
    • hotelCodestring
    • namestringpuò essere null
    • starsinteger (int32)può essere null
    • cityCodestringpuò essere null
    • cityNamestringpuò essere null
    • countryCodestringpuò essere null
    • addressstringpuò essere null
    • latitudenumber (double)può essere null
    • longitudenumber (double)può essere null
    • imagesstring[]
    • amenitiesstring[]
    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • HotelRoom[]
  • 404Not FoundDettagli del problema RFC 7807

Esempi di codice

Programmi completi che firmano la richiesta nel modo in cui il gateway la verifica. Sostituisci YOUR_KEY_ID e YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/search/04864abd0ae74b10baa02b8214a2044f\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/hotels/search/04864abd0ae74b10baa02b8214a2044f" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"